use crate::version::Version;
use serde::Serialize;

#[derive(Serialize, Debug, Clone)]
pub struct CrateInfo {
    pub name: String,
    pub description: Option<String>,
    pub owner: String,
    pub latest_version: Version,
    pub versions: Vec<Version>,
    pub readme: Option<String>,
    pub license: Option<String>,
    pub git_repo: Option<String>,
    pub api_reference: Option<String>,
    pub website: Option<String>,
    pub dependencies: Vec<String>,
}
