use serde::Serialize;

#[derive(Serialize, Debug, Clone)]
pub struct SearchItem {
    pub name: String,
    pub description: String,
    pub version: String,
    pub tags: Vec<String>,
}

impl SearchItem {
    pub fn new(name: String, description: String, version: String, tags: Vec<String>) -> Self {
        SearchItem {
            name,
            description,
            version,
            tags,
        }
    }
}
